var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";

function ChartBarOff(props) {
  return _jsxs("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: [_jsxs("g", __assign({
      opacity: 0.2
    }, {
      children: [_jsx("path", {
        opacity: 0.8,
        d: "M3.691 41.077c0-.255.207-.462.462-.462h39.692a.462.462 0 110 .923H4.153a.462.462 0 01-.462-.461z",
        fill: "#fff"
      }, void 0), _jsx("path", {
        d: "M7.383 21.231a2.77 2.77 0 015.538 0v12.923a2.77 2.77 0 01-5.538 0V21.231z",
        fill: "url(#chart_bar_off0_linear)"
      }, void 0), _jsx("path", {
        d: "M25.848 15.692a2.77 2.77 0 115.538 0v18.462a2.77 2.77 0 11-5.538 0V15.692z",
        fill: "url(#chart_bar_off1_linear)"
      }, void 0), _jsx("path", {
        d: "M22.152 34.154a2.77 2.77 0 11-5.539 0v-24a2.77 2.77 0 115.539 0v24z",
        fill: "url(#chart_bar_off2_linear)"
      }, void 0), _jsx("path", {
        d: "M40.617 34.153a2.77 2.77 0 11-5.539 0v-5.538a2.77 2.77 0 015.539 0v5.538z",
        fill: "url(#chart_bar_off3_linear)"
      }, void 0)]
    }), void 0), _jsxs("defs", {
      children: [_jsxs("linearGradient", __assign({
        id: "chart_bar_off0_linear",
        x1: 7.383,
        y1: 18.462,
        x2: 14.064,
        y2: 36.5,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_bar_off1_linear",
        x1: 25.848,
        y1: 12.923,
        x2: 36.271,
        y2: 34.571,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_bar_off2_linear",
        x1: 22.152,
        y1: 36.923,
        x2: 7.758,
        y2: 12.632,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_bar_off3_linear",
        x1: 40.617,
        y1: 36.923,
        x2: 38.011,
        y2: 25.194,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff",
          stopOpacity: 0.6
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff"
        }, void 0)]
      }), void 0)]
    }, void 0)]
  }), void 0);
}

export var ReactComponent = ChartBarOff;
export default ChartBarOff;

